summaryrefslogtreecommitdiffstats
path: root/deps/libdbusmenu-gtk
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-12-09 15:30:31 +0100
committer Eric Hameleers <alien@slackware.com>2018-12-09 15:30:31 +0100
commit429f902919d0b659f4a7556661280cbe95165765 (patch)
tree3fe25df94f0593b3113c609d2d1d1e763024e23b /deps/libdbusmenu-gtk
parent80fac0aceb0b778938a14224faeb2172d3d946bc (diff)
downloadktown-429f902919d0b659f4a7556661280cbe95165765.tar.gz
ktown-429f902919d0b659f4a7556661280cbe95165765.tar.xz
Update qt5 and libdbusmenu-gtk, rebuild qt5-webkit
I decided to stick with Qt 5.11.3 and wait with updating to 5.12.0 until after Applications 18.12.0.
Diffstat (limited to 'deps/libdbusmenu-gtk')
-rw-r--r--deps/libdbusmenu-gtk/.url1
-rwxr-xr-xdeps/libdbusmenu-gtk/libdbusmenu-gtk.SlackBuild81
-rw-r--r--deps/libdbusmenu-gtk/patches/libdbusmenu_configure_valgrind.patch35
3 files changed, 78 insertions, 39 deletions
diff --git a/deps/libdbusmenu-gtk/.url b/deps/libdbusmenu-gtk/.url
new file mode 100644
index 0000000..e05bf32
--- /dev/null
+++ b/deps/libdbusmenu-gtk/.url
@@ -0,0 +1 @@
+https://launchpad.net/libdbusmenu/16.04/16.04.0/+download/libdbusmenu-16.04.0.tar.gz
diff --git a/deps/libdbusmenu-gtk/libdbusmenu-gtk.SlackBuild b/deps/libdbusmenu-gtk/libdbusmenu-gtk.SlackBuild
index 0545da0..ff88141 100755
--- a/deps/libdbusmenu-gtk/libdbusmenu-gtk.SlackBuild
+++ b/deps/libdbusmenu-gtk/libdbusmenu-gtk.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
-# Copyright 2015 Eric Hameleers, Eindhoven, NL
+# Copyright 2015, 2018 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -23,49 +23,41 @@
# -----------------------------------------------------------------------------
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=libdbusmenu-gtk
SRCNAM=libdbusmenu
-VERSION=${VERSION:-12.10.2}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-16.04.0}
+BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-" -j4 "}
+NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
-if [ -e $CWD/machine.conf ]; then
- . $CWD/machine.conf ]
-elif [ -e /etc/slackbuild/machine.conf ]; then
- . /etc/slackbuild/machine.conf ]
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+# Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv5te"
+ LIBDIRSUFFIX=""
else
- # Automatically determine the architecture we're building on:
- MARCH=$( uname -m )
- if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
- esac
- fi
- # Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
- if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
- elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
- elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
- elif [ "$ARCH" = "arm" ]; then
- SLKCFLAGS="-O2 -march=armv5te"
- LIBDIRSUFFIX=""
- else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
- fi
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
case "$ARCH" in
@@ -73,6 +65,14 @@ case "$ARCH" in
*) TARGET=$ARCH-slackware-linux ;;
esac
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
@@ -80,6 +80,9 @@ rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
cd $SRCNAM-$VERSION || exit 1
+# Trivial patch:
+cat $CWD/patches/libdbusmenu_configure_valgrind.patch | patch -p1 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
@@ -101,7 +104,7 @@ CXXFLAGS="$SLKCFLAGS -Wno-error=deprecated-declarations" \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--enable-static=no \
- --disable-scrollkeeper \
+ --disable-tests \
--build=$TARGET \
$* \
|| return 1
@@ -111,8 +114,8 @@ make $NUMJOBS || make || return 1
make install DESTDIR=$PKG || return 1
}
-# configure may be missing:
-[ ! -x configure ] && autoreconf -vif
+# We patched configure.ac:
+autoreconf -vif
# GTK+-2 support:
mkdir -p build-gtk2
diff --git a/deps/libdbusmenu-gtk/patches/libdbusmenu_configure_valgrind.patch b/deps/libdbusmenu-gtk/patches/libdbusmenu_configure_valgrind.patch
new file mode 100644
index 0000000..a578778
--- /dev/null
+++ b/deps/libdbusmenu-gtk/patches/libdbusmenu_configure_valgrind.patch
@@ -0,0 +1,35 @@
+From 4b79b41a25cc1e2c4355738b4bed6c73b919ffee Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Sun, 6 Aug 2017 17:55:45 +0200
+Subject: [PATCH] configure: Fix HAVE_VALGRIND not being defined when tests are
+ disabled
+
+If --disable-tests is used, configure fails with the following error:
+
+ configure: error: conditional "HAVE_VALGRIND" was never defined.
+ Usually this means the macro was only invoked conditionally.
+
+This is because AM_CONDITIONAL for it is called inside the 'if' for
+tests being enabled. Move it just below that block to ensure that it's
+defined unconditionally.
+---
+ configure.ac | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index ace54d1..cbd38a6 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -120,8 +120,8 @@ PKG_CHECK_MODULES(DBUSMENUTESTS, json-glib-1.0 >= $JSON_GLIB_REQUIRED_VERSION
+ [have_tests=yes]
+ )
+ PKG_CHECK_MODULES(DBUSMENUTESTSVALGRIND, valgrind, have_valgrind=yes, have_valgrind=no)
+-AM_CONDITIONAL([HAVE_VALGRIND], [test "x$have_valgrind" = "xyes"])
+ ])
++AM_CONDITIONAL([HAVE_VALGRIND], [test "x$have_valgrind" = "xyes"])
+
+ AC_SUBST(DBUSMENUTESTS_CFLAGS)
+ AC_SUBST(DBUSMENUTESTS_LIBS)
+--
+2.14.0
+